CMSIS-DSP: Levinson Durbin Algorithm

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Levinson Durbin Algorithm
Filtering Functions

## Functions

void | arm_levinson_durbin_f16 (const float16_t *phi, float16_t *a, float16_t *err, int nbCoefs)
| Levinson Durbin. More...
void | arm_levinson_durbin_f32 (const float32_t *phi, float32_t *a, float32_t *err, int nbCoefs)
| Levinson Durbin. More...
void | arm_levinson_durbin_q31 (const q31_t *phi, q31_t *a, q31_t *err, int nbCoefs)
| Levinson Durbin. More...

## Description

## Function Documentation

void arm_levinson_durbin_f16 | ( | const float16_t * | phi,
|  | float16_t * | a,
|  | float16_t * | err,
|  | int | nbCoefs
| ) |  |

Parameters

  [in] | phi | autocovariance vector starting with lag 0 (length is nbCoefs + 1)
  [out] | a | autoregressive coefficients
  [out] | err | prediction error (variance)
  [in] | nbCoefs | number of autoregressive coefficients

Returns
  none

void arm_levinson_durbin_f32 | ( | const float32_t * | phi,
|  | float32_t * | a,
|  | float32_t * | err,
|  | int | nbCoefs
| ) |  |

Parameters

  [in] | phi | autocovariance vector starting with lag 0 (length is nbCoefs + 1)
  [out] | a | autoregressive coefficients
  [out] | err | prediction error (variance)
  [in] | nbCoefs | number of autoregressive coefficients

Returns
  none

void arm_levinson_durbin_q31 | ( | const q31_t * | phi,
|  | q31_t * | a,
|  | q31_t * | err,
|  | int | nbCoefs
| ) |  |

Parameters

  [in] | phi | autocovariance vector starting with lag 0 (length is nbCoefs + 1)
  [out] | a | autoregressive coefficients
  [out] | err | prediction error (variance)
  [in] | nbCoefs | number of autoregressive coefficients

Returns
  none